Update an order
curl --request PATCH \
--url https://api.paygentic.io/v0/orders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"termStartDate": "2023-11-07T05:31:56Z",
"termEndDate": "2023-11-07T05:31:56Z",
"closeDate": "2023-11-07T05:31:56Z",
"totalAmount": "<string>",
"defaultPaymentTermDays": 123,
"metadata": {},
"cancelledAt": "2023-11-07T05:31:56Z",
"resellerId": "<string>",
"taxExempt": true,
"sellingEntity": "<string>"
}
'import requests
url = "https://api.paygentic.io/v0/orders/{id}"
payload = {
"termStartDate": "2023-11-07T05:31:56Z",
"termEndDate": "2023-11-07T05:31:56Z",
"closeDate": "2023-11-07T05:31:56Z",
"totalAmount": "<string>",
"defaultPaymentTermDays": 123,
"metadata": {},
"cancelledAt": "2023-11-07T05:31:56Z",
"resellerId": "<string>",
"taxExempt": True,
"sellingEntity": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
termStartDate: '2023-11-07T05:31:56Z',
termEndDate: '2023-11-07T05:31:56Z',
closeDate: '2023-11-07T05:31:56Z',
totalAmount: '<string>',
defaultPaymentTermDays: 123,
metadata: {},
cancelledAt: '2023-11-07T05:31:56Z',
resellerId: '<string>',
taxExempt: true,
sellingEntity: '<string>'
})
};
fetch('https://api.paygentic.io/v0/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "order",
"merchantId": "<string>",
"customerId": "<string>",
"resellerId": "<string>",
"taxExempt": true,
"sellingEntity": "<string>",
"currency": "<string>",
"cancelledAt": "2023-11-07T05:31:56Z",
"termStartDate": "2023-11-07T05:31:56Z",
"termEndDate": "2023-11-07T05:31:56Z",
"totalAmount": "<string>",
"defaultPaymentTermDays": 123,
"metadata": {},
"lineItems": [
{
"id": "<string>",
"object": "order_line_item",
"orderId": "<string>",
"quantity": "<string>",
"listUnitPrice": "<string>",
"discountUnitAmount": "<string>",
"unitPrice": "<string>",
"totalPrice": "<string>",
"termStartDate": "2023-11-07T05:31:56Z",
"termEndDate": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"itemId": "<string>",
"description": "<string>"
}
],
"billingSchedules": [
{
"id": "<string>",
"object": "billing_schedule",
"merchantId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"billingAnchor": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"orderId": "<string>",
"subscriptionId": "<string>",
"paymentTermDays": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closeDate": "2023-11-07T05:31:56Z"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Orders
Update an order
PATCH
/
v0
/
orders
/
{id}
Update an order
Authorizations
API key authentication
Path Parameters
Body
application/json
Available options:
new_business, renewal, expansion Response
Updated order
Available options:
order Available options:
draft, pending, approved, rejected Decimal string (TCV)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
new_business, renewal, expansion Was this page helpful?
⌘I